::-webkit-input-placeholder {
    /* Chrome/Opera/Safari */
    color: #999999;
}

::-moz-placeholder {
    /* Firefox 19+ */
    color: #999999;
}

:-ms-input-placeholder {
    /* IE 10+ */
    color: #999999;
}

.form-control::-webkit-input-placeholder {
    color: #999999;
}

.form-control::-moz-placeholder {
    color: #999999;
}

.form-control:-ms-input-placeholder {
    color: #999999;
}

.form-control::-ms-input-placeholder {
    color: #999999;
}

.form-control::placeholder {
    color: #999999;
}

form {
    padding: 60px;
    background: #1c1b1c;
    -webkit-box-shadow: 0 4px 4px rgba(0, 0, 0, .25);
    box-shadow: 0 4px 4px rgba(0, 0, 0, .25);
    border-radius: 16px;
}

form div {
    position: relative;
}

@media screen and (max-width: 1047px) {
    form {
        padding: 24px 32px;
    }
}

form label {
    font-size: 16px;
    font-weight: 300;
    color: white;
    display: inline-block;
    margin: 0 0 8px 0;
}

.form-control, .form-control:active, .form-control:focus, .form-control:-webkit-autofill {
    background-color: transparent;
    text-overflow: ellipsis;
    width: 100%;
    outline: none;
    font-size: 16px;
    font-weight: 300;
    font-style: normal;
    line-height: 140%;
    color: #fff;
    height: 56px;
    padding: 12px 16px;
    border: 1px solid rgba(255, 255, 255, .4);
    border-radius: 16px;
    display: -webkit-inline-box;
    display: inline-flex;
    -webkit-box-align: center;
    align-items: center;
    position: relative;
    z-index: 0;
}

input:-webkit-autofill, input:-webkit-autofill:focus {
    background-color: rgb(232, 240, 254, 0) !important;
    background-image: none !important;
    color: -internal-light-dark-color(black, white) !important;
}

.form-control:active, .form-control:focus {
    -webkit-box-shadow: 0 0 10px rgba(100, 100, 100, 1);
    box-shadow: 0 0 10px rgba(100, 100, 100, 1);
}

textarea.form-control {
    min-height: 134px;
}

.spinner {
    display: none;
    vertical-align: -0.125em;
    border: 0.25em solid currentColor;
    border-right-color: transparent;
    border-radius: 50%;
    -webkit-animation: 0.75s linear infinite spinner-border;
    animation: 0.75s linear infinite spinner-border;
    width: 16px;
    height: 16px;
    border-width: 3px;
    margin-left: 5px;
    position: relative;
    z-index: 20000000;
}

[disabled] .spinner {
    display: inline-block;
}

@-webkit-keyframes spinner-border {
    to {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg)
    }
}

@keyframes spinner-border {
    to {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg)
    }
}

label.required:after {
    content: "";
    position: relative;
    background: #EC5C5C;
    width: 4px;
    height: 4px;
    border-radius: 100%;
    -webkit-transform: translate(0px, -14px);
    -ms-transform: translate(0px, -14px);
    transform: translate(0px, -14px);
    top: 4px;
    display: inline-block;
}

.acf-input select, .acf-field select {
    padding: 2px 5px;
}

.list-selector {
    position: relative;
    width: max-content;
    margin: 0;
}

.list-selector.is--disabled {
    /* pointer-events: none; */
}

.list-selector.is--disabled, .number-stepper.is--disabled {
    position: relative;
}

.list-selector.is--disabled .list-selector__selected {
    background: #F9F9FC;
}

.list-selector.is--disabled .list-selector__title {
    color: #ADAAB1;
}

.list-selector.is--disabled .list-selector__arrow svg, .list-selector.is--disabled .list-selector__arrow svg path {
    fill: #ADAAB1;
}

.list-selector__selected {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 12px;
    padding: 6px 16px;
    min-height: 40px;
    border: 1px solid var(--color-border);
    border-radius: 8px;
    background: #ffffff;
    cursor: pointer;
    transition: box-shadow .2s ease, border-color .2s ease;
    min-width: 90px;
}

.list-selector.is-open .list-selector__selected {
    border-color: var(--color-violet);
}

.list-selector__title {
    color: #19181A;
    font-size: var(--landing-main-button-size);
    font-weight: var(--landing-main-button-weight);
    line-height: var(--landing-main-button-line-height);
}

.list-selector__arrow {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 12px;
    height: 12px;
    transition: transform .2s ease;
}

.list-selector.is-open .list-selector__arrow {
    transform: rotate(180deg);
}

.list-selector__list {
    list-style: none;
    margin: 8px 0 0 0;
    padding: 0;
    border: 1px solid var(--color-border);
    border-radius: 12px;
    background: #ffffff;
    max-height: 600px;
    overflow-y: auto;
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.08);
    display: none;
    position: absolute;
    z-index: 111;
    width: 100%;
    top: 100%;
    left: -2px;
}

.list-selector.is-open .list-selector__list {
    display: block;
}

.list-selector__item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
    padding: 12px 16px;
    /* border-bottom: 1px solid #F0F0F2; */
    cursor: pointer;
    transition: background .2s ease, border-color .2s ease;
}

.list-selector__item:last-child {
    border-bottom: none;
}

.list-selector__item:hover, .list-selector__item.is--active {
    background: #F7F7F9;
}

.list-selector__discount {
    font-size: 12px;
    padding: 4px 8px;
    border-radius: 8px;
    background: var(--color-violet);
    color: #fff;
}

.list-selector__main {
    width: calc( 100% );
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
}

/* number stepper */
.calculator__row--users {
    /* margin-top: 12px; */
}

.number-stepper {
    display: inline-flex;
    align-items: center;
    gap: 2px;
    width: 90px;
    padding: 0;
    border-radius: 8px;
    border: 1px solid #D8D7DD;
    padding: 1px 4px;
    max-height: 40px;
    min-height: 40px;
}

.number-stepper__btn {
    background: transparent;
    border: none;
    color: var(--color-violet);
    padding: 0;
    cursor: pointer;
    min-width: 24px;
    height: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 24px;
    border-radius: 100%;
    transition: background .3s ease-in-out;
}

.is--disabled .number-stepper__btn {
    pointer-events: none;
}

.number-stepper__btn:hover {
    background: #F4E3FD;
}

.number-stepper__value {
    display: inline-block;
    min-width: 30px;
    text-align: center;
    border: none;
    background: transparent;
    outline: none;
font-size: var(--landing-main-caption-size);
font-weight: var(--landing-main-caption-weight);
line-height: var(--landing-main-caption-line-height-long);
}

.number-stepper__value::-webkit-inner-spin-button, .number-stepper__value::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.number-stepper.is--disabled {
    cursor: pointer;
}

.number-stepper.is--disabled {
    background: #F9F9FC;
}

.list-selector.is--disabled + div, .number-stepper.is--disabled + div, .number-stepper.is--disabled .number-stepper__value {
    color: #ADAAB1;
}

.number-stepper.is--disabled .number-stepper__btn path {
    fill: #ADAAB1
}

.has-tooltip {
    position: relative;
}

.has-tooltip .tooltip__text {
    opacity: 0;
    pointer-events: none;
    transition: opacity .3s ease, transform .3s ease;
    position: absolute;
    left: 50%;
    transform: translate(-50%, 5px);
    bottom: 100%;
    margin-bottom: 2px;
    width: max-content;
    color: #FFFFFF;
    z-index: 10;
    text-align: left;
    font-size: 15px;
    font-style: normal;
    font-weight: 500;
    border-radius: 6px;
    background: var(--Tooltip-tooltip-background-default, rgba(25, 24, 26, 0.75));
    backdrop-filter: blur(4px);
    padding: 5px 12px;
    line-height: 1.5;
    max-width: 210px;
}

.has-tooltip:hover .tooltip__text {
    opacity: 1;
    transform: translate(-50%, 0);
}

@media screen and (max-width: 1047px ) {
    .list-selector__selected {
        gap: 8px;
        min-width: 84px;
    }

    .tarifs__filter {
        margin-top: 8px;
    }

    .calculator .list-selector__selected, .calculator .number-stepper {
        min-width: 168px;
        justify-content: space-between;
    }

    .number-stepper__value {
        min-width: 100px;
        text-align: center;
        font-size: 14px;
    }
}
